<?php
if (!class_exists('wpseos_base')) {
    class wpseos_base extends wpseos_Abstraction {

		var $WPSEOS_PLUGIN_NICE_NAME = 'WP SEO Sniper';
		var $WPSEOS_PLUGIN_OPTIONS_NAME = 'wpseos_options';
		var $WPSEOS_NOFOLLOW_FULL = 'rel="nofollow"';
		var $WPSEOS_NOFOLLOW_SHORT = 'nofollow';
		var $WPSEOS_TAGS_NI = 'wpseos_tags_ni';
		var $WPSEOS_TAGS_NF = 'wpseos_tags_nf';
		var $WPSEOS_MAIN_INDEX_NI = 'wpseos_main_index_ni';
		var $WPSEOS_MAIN_INDEX_PT = 'wpseos_main_index_pt';
		var $WPSEOS_CATEGORIES_NI = 'wpseos_categories_ni';
		var $WPSEOS_CATEGORY_PAGES_NF = 'wpseos_category_pages_nf';
		var $WPSEOS_CATEGORY_POST_NF = 'wpseos_category_post_nf';
		var $WPSEOS_CATEGORY_PAGE_NF = 'wpseos_category_page_nf';
		var $WPSEOS_ARCHIVES_NI = 'wpseos_archives_ni';
		var $WPSEOS_DATES_NI = 'wpseos_dates_ni';
		var $WPSEOS_MAIN_INDEX_HOMENF = 'wpseos_main_index_homenf';
		var $WPSEOS_FOOTER_MENU = 'wpseos_footer_menu';
		var $WPSEOS_FOOTER_MENU_HOME = 'wpseos_footer_menu_home';
		var $WPSEOS_FOOTER_MENU_HOMENF = 'wpseos_footer_menu_homenf';
		var $WPSEOS_FOOTER_MENU_LOGIN = 'wpseos_footer_menu_login';
		var $WPSEOS_FOOTER_MENU_COPY = 'wpseos_footer_menu_copy';
		var $WPSEOS_PAGE_FOOTER_MENU = 'wpseos_page_footer_menu';
		var $WPSEOS_PAGE_NOFOLLOW = 'wpseos_page_nofollow';
		var $WPSEOS_PAGE_NOFOLLOW_NOT = 'no';
		var $WPSEOS_PAGE_NOFOLLOW_ALL = 'all';
		var $WPSEOS_PAGE_NOFOLLOW_NMI = 'nmi';
		var $WPSEOS_PAGE_NOINDEX = 'wpseos_page_noindex';
		var $WPSEOS_PAGE_TITLE = 'wpseos_page_title';
		var $WPSEOS_PAGE_KEYWORDS = 'wpseos_page_keywords';
		var $WPSEOS_PAGE_DESCRIPTION = 'wpseos_page_description';
		var $WPSEOS_PAGE_CSS = 'wpseos_page_css';
		var $WPSEOS_LINK = 'link';
		var $WPSEOS_ANCHOR = 'anchor';
		var $WPSEOS_PAGE_LINKS = 'wpseos_page_links';
		var $WPSEOS_PAGE_LINK = 'wpseos_page_link';
		var $WPSEOS_PAGE_ANCHOR = 'wpseos_page_anchor';
		var $WPSEOS_POST_LINKS = 'wpseos_post_links';
		var $WPSEOS_POST_LINK = 'wpseos_post_link';
		var $WPSEOS_POST_ANCHOR = 'wpseos_post_anchor';
		var $WPSEOS_TEXTDOMAIN = 'wp-seo-sniper';
		var $WPSEOS_PAGE_OPTIONS = 'wpseos_page_options';
		var $WPSEOS_XLINK_PAGE_H = 'wpseos_xlink_page_h';
		var $WPSEOS_XLINK_POST_H = 'wpseos_xlink_post_h';
		var $WPSEOS_FOOTER_SEP = 'wpseos_footer_sep';
		var $WPSEOS_FOOTER_B = 'wpseos_footer_b';
		var $WPSEOS_FOOTER_A = 'wpseos_footer_a';
		var $WPSEOS_FOOTER_AUTO = 'auto';
		var $WPSEOS_FOOTER_MANUAL = 'manual';
		var $WPSEOS_GOOGLE_WEBMASTERS = 'wpseos_google_webmasters';
		var $WPSEOS_GOOGLE_ANALYTICS = 'wpseos_google_analytics';
		var $WPSEOS_GOOGLE_ANALYTICS_HF = 'wpseos_google_analytics_hf';
		var $WPSEOS_GOOGLE_ANALYTICS_N = 'n';
		var $WPSEOS_GOOGLE_ANALYTICS_H = 'h';
		var $WPSEOS_GOOGLE_ANALYTICS_F = 'f';
		var $WPSEOS_META_NOINDEX = '<meta name="robots" content="noindex,follow" />';
		var $WPSEOS_META_INDEX = '<meta name="robots" content="index,follow" />';
		var $WPSEOS_TITLE_BLOGNAME = 'wpseos_title_blogname';
		var $WPSEOS_TITLE_SEP = 'wpseos_title_sep';
		var $WPSEOS_METADESC_WORDS = 20;
		var $WPSEOS_ROBOTS_ADDITIONAL = 'wpseos_robots_additional';
		var $WPSEOS_MAIN_KEYWORDS = 'wpseos_main_keywords';
		var $WPSEOS_MAIN_DESCRIPTION = 'wpseos_main_description';
		var $WPSEOS_XLINK_GROUP_B = 'wpseos_xlink_group_b';
		var $WPSEOS_XLINK_GROUP_A = 'wpseos_xlink_group_a';
		var $WPSEOS_XLINK_EACH_B = 'wpseos_xlink_each_b';
		var $WPSEOS_XLINK_EACH_A = 'wpseos_xlink_each_a';
		var $WPSEOS_PAGE_301 = 'wpseos_page_301';
		var $WPSEOS_PAGE_HIDE = 'wpseos_page_hide';

		var $WPSEOS_TABLE_PREFIX = 'wpseos_plugin';
		var $WPSEOS_RAQUO = '&raquo;';
		var $WPSEOS_SUBMIT_INFO_UPDATE = 'info_update';
		var $WPSEOS_SUBMIT_LOAD_AGGRESSIVE = 'load_aggressive';
		var $WPSEOS_SUBMIT_LOAD_MODERATE = 'load_moderate';
		var $WPSEOS_SUBMIT_LOAD_MILD = 'load_mild';
		var $WPSEOS_ADMIN_PAGE_SLUG = 'wpseos-options-page';
		var $WPSEOS_JS_OPEN = '';
		var $WPSEOS_JS_CLOSE = '';
		var $WPSEOS_JS_DRAG = '';
		var $WPSEOS_JS_TOGGLE = '';
		var $WPSEOS_JS_MOVE = '';
		var $WPSEOS_JS_ENTER = '';
		var $WPSEOS_REGEX_AHREF = '';

		//Common Functions Start
		
		function wpseos_base_init() {
			$this->WPSEOS_REGEX_AHREF = '/<a[\s]+[^>]*?href[\s]?=[\s\""' . "\'" . ']+(.*?)[\""\']+.*?>([^<]+|.*?)?<\/a>/i';
			$this->WPSEOS_JS_OPEN = __('open', $this->WPSEOS_TEXTDOMAIN);
			$this->WPSEOS_JS_CLOSE = __('close', $this->WPSEOS_TEXTDOMAIN);
			$this->WPSEOS_JS_DRAG = __('click-down and drag to move this box', $this->WPSEOS_TEXTDOMAIN);
			$this->WPSEOS_JS_TOGGLE = __('click to ', $this->WPSEOS_TEXTDOMAIN) . '%toggle%' . __(' this box', $this->WPSEOS_TEXTDOMAIN);
			$this->WPSEOS_JS_MOVE = __('use the arrow keys to move this box', $this->WPSEOS_TEXTDOMAIN);
			$this->WPSEOS_JS_ENTER = __(', or press the enter key to ', $this->WPSEOS_TEXTDOMAIN) . '%toggle%' . __(' it', $this->WPSEOS_TEXTDOMAIN);
		}
		
		function wpseos_get_page_options($page_id = 0) {

			$page_options = $this->dp_wpa_get_post_meta($page_id, $this->WPSEOS_PAGE_OPTIONS, true);
			if (!is_array($page_options) and $page_options != '') {
				$page_options = unserialize($page_options);
			}
			
			if (!is_array($page_options)) {
				$page_options = array (
					$this->WPSEOS_PAGE_NOFOLLOW => $this->WPSEOS_PAGE_NOFOLLOW_NOT,
					$this->WPSEOS_PAGE_FOOTER_MENU => false
				);
			}
			return $page_options;
		}

		function wpseos_get_post_options($post_id = 0) {

			$page_options = $this->dp_wpa_get_post_meta($post_id, $this->WPSEOS_PAGE_OPTIONS, true);
			if (!is_array($page_options) and $page_options != '') {
				$page_options = unserialize($page_options);
			}

			if (!is_array($page_options)) {
				$page_options = array (
				);
			}
			return $page_options;
		}
		
		function wpseos_search_array($needle, $haystack, $a = 0, $nodes_temp = array(), $nodes_found = array()) {
			$a++;
			foreach ($haystack as $key1=>$value1) {
				$nodes_temp[$a] = $key1;
				if (is_array($value1)){    
					wpseos_search_array($needle, $value1, $a, $nodes_temp, $nodes_found);
				}
				else if ($value1 === $needle){
					$nodes_found[] = $nodes_temp;
				}
			} 
			return $nodes_found;
		}

		function wpseos_spinthis($content) {
			if (function_exists('wpspinner_get_rewrite')) {
				$content = wpspinner_get_rewrite($content);
			}
			return $content;
		}
		//Common Functions End
	}
}
?>