<?php
if (!class_exists('wpseos_footer')) {
    class wpseos_footer extends wpseos_base {
		
		function wpseos_footer_build() {
			$this->wpseos_base_init();
			$plugin_options = $this->dp_wpa_get_option($this->WPSEOS_PLUGIN_OPTIONS_NAME);
			$footer_code = trim($plugin_options[$this->WPSEOS_FOOTER_B]);
			$footer_content = "";
			if ($plugin_options[$this->WPSEOS_FOOTER_MENU_HOME]) {
				$nofollow = '';
				if ($plugin_options[$this->WPSEOS_MAIN_INDEX_HOMENF]) {
					$nofollow = $this->WPSEOS_NOFOLLOW_FULL;
				}
				$footer_content = '<a href="' . $this->dp_wpa_get_option('home') . '" ' . $nofollow . '>' . $this->dp_wpa_get_bloginfo('name') . '</a>' . $plugin_options[$this->WPSEOS_FOOTER_SEP];
			}
			$pages = $this->dp_wpa_custom_get_all_pages( 'sort_column=menu_order' );
			if (!$pages )
				return false;
			foreach ($pages as $page) {
				$page_options = $this->wpseos_get_page_options($page->ID);
				if (is_array($page_options)) {
					if ($page_options[$this->WPSEOS_PAGE_FOOTER_MENU]) {
						$nofollow = '';
						if ($page_options[$this->WPSEOS_PAGE_NOFOLLOW] == $this->WPSEOS_PAGE_NOFOLLOW_ALL) {
							$nofollow = $this->WPSEOS_NOFOLLOW_FULL;
						} else if ($page_options[$this->WPSEOS_PAGE_NOFOLLOW] == $this->WPSEOS_PAGE_NOFOLLOW_NMI) {
							if (!$this->dp_wpa_isthishome()) {
								$nofollow = $this->WPSEOS_NOFOLLOW_FULL;
							}
						}
//						if (trim($page_options[$this->WPSEOS_PAGE_TITLE]) != '') {
//							$page->post_title = trim($page_options[$this->WPSEOS_PAGE_TITLE]);
//						}
						$page->post_title = $this->dp_wpa_wp_specialchars( $page->post_title );
						$footer_content = $footer_content . '<a href="' . $this->dp_wpa_get_permalink($page->ID) . '" '.$nofollow.'>'.$page->post_title.'</a>' . $plugin_options[$this->WPSEOS_FOOTER_SEP];
					}
				}
			}
			$footer_content = rtrim($footer_content, $plugin_options[$this->WPSEOS_FOOTER_SEP]);
			if ($footer_content != "" or $plugin_options[$this->WPSEOS_FOOTER_MENU_LOGIN] or $plugin_options[$this->WPSEOS_FOOTER_MENU_COPY]) {
				$footer_code = $footer_code . $footer_content;
				$footer_code = $this->wpseos_spinthis($footer_code);
				echo stripslashes($footer_code);
				$footer_code = trim($plugin_options[$this->WPSEOS_FOOTER_A]);
				if ($plugin_options[$this->WPSEOS_FOOTER_MENU_LOGIN]){
					if ($footer_content != "") {
						echo stripslashes($plugin_options[$this->WPSEOS_FOOTER_SEP]);
					}
					$this->dp_wpa_wp_register('', '');
					echo '&nbsp';
					$this->dp_wpa_wp_loginout();
				}
				if ($plugin_options[$this->WPSEOS_FOOTER_MENU_COPY]){
					if ($footer_content != "" or $plugin_options[$this->WPSEOS_FOOTER_MENU_LOGIN]) {
						echo stripslashes($plugin_options[$this->WPSEOS_FOOTER_SEP]);
					}
					echo stripslashes(__('Copyright', $this->WPSEOS_TEXTDOMAIN) . ' &copy; ' . date('Y', time()) . ' ');
					$this->dp_wpa_bloginfo('name');
				}
				$footer_code = trim($plugin_options[$this->WPSEOS_FOOTER_A]);
				$footer_code = $this->wpseos_spinthis($footer_code);
				echo stripslashes($footer_code);
			}
		}
	}
}
?>